[B020] Drug Dev Status-V2

get
https://connect.patsnap.com/synapse/drug/highest-dev-status
Try in Sandbox

Obtain the highest drug dev status about organization, disease, country etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
drug_id
Required
string69fdd1486c554a3d86a8c38c60bf6e3b
Drug ID, obtain this through the drug search interface or drug autocomplete interface
disease_id
string7af6661c23e8485d9f1dad6a94914fe3
Disease ID, obtain this through the disease ID search interface
country_id
string0dc5d896-7408-3c87-84c0-22e3d9b784be
Country ID, filter the query result through the country ID in the return result
highest_dev_status_id
stringefd6215835394b07b046125e3175d3fe
Highest Dev Status ID, obtain this through the drug dev status interface
offset
integer<int64>0
Offset, default 0
limit
integer<int64>10
Limit, default 10

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form: DrugDevStatus
Results
id
string05f69ae72aeccf5a92c9f417efaa3b02
ID
country
objectPlease check the form: CommonCountry
Country/Location
country_id
string676de5ba-893a-36bb-8683-c93306aaf769
Country/Location ID
alpha2_code
stringUS
Alpha Code
display_name
array[ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ]
Country/Location Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
disease
objectPlease check the form: CommonDisease
Disease
disease_id
string06a9082fe1ec4c97bea31d888b9cfdce
Disease ID
display_name
array[ { "lang": "EN", "name": "Uveitic Macular Edema" }, { "lang": "CN", "name": "葡萄膜炎黄斑水肿" } ]
Disease Name, Referencing "CommonName"
data_source
arrayPlease check the form: HighestDrugDataSource
Data Source
source_url
stringhttps://www.pharmsnap.com
Source URL
organization
objectPlease check the form: CommonOrganization
Organization
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
dev_status_time
integer<int64>1644105600000
Date
highest_dev_status
objectPlease check the form: CommonDictionary
Hightest Dev Status
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
limit
integer<int64>10
limit
total
integer<int64>-
total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "id": "05f69ae72aeccf5a92c9f417efaa3b02",
        "country": {
          "country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
          "alpha2_code": "US",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "disease": {
          "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "data_source": [
          {
            "source_url": "https://www.pharmsnap.com"
          }
        ],
        "organization": {
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
        },
        "dev_status_time": 1644105600000,
        "highest_dev_status": {
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
        }
      }
    ],
    "limit": 10,
    "total": 0,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms